apiVersion: apps/v1
kind: Deployment
metadata:
  name: speedial
  namespace: {{ .Values.zone.name }}
spec:
  replicas: {{ .Values.zone.application.speedial.replicas }}
  selector:
    matchLabels:
      application: speedial
  template:
    metadata:
      labels:
        application: speedial
    spec:
      containers:
      - name: speedial
        image: {{ .Values.zone.image }}
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: {{ .Values.zone.network.speedial.hyperdaqport }}
        args: ["--profile /opt/xdaq/share/{{ .Values.zone.name }}/profile/profile.yaml","--port {{ .Values.zone.network.speedial.hyperdaqport }}","-z {{ .Values.zone.name }}", "-l DEBUG"]
        volumeMounts:
        - name: speedial-profile-volume
          mountPath: /opt/xdaq/share/{{ .Values.zone.name }}/profile
      volumes:
      - name: speedial-profile-volume
        configMap:
          name: speedial-profile


